package cn.com.poc.human_resources.entity;

/**
 * @author alex.yao
 * @date 2025/10/10
 */
public class HumanResourcePositionBaseInfo {

    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    /**
     * job_title
     * 职位名称
     */
    private java.lang.String jobTitle;

    public java.lang.String getJobTitle() {
        return this.jobTitle;
    }

    public void setJobTitle(java.lang.String jobTitle) {
        this.jobTitle = jobTitle;
    }

    /**
     * work_location
     * 工作地址
     */
    private java.lang.String workLocation;

    public java.lang.String getWorkLocation() {
        return this.workLocation;
    }

    public void setWorkLocation(java.lang.String workLocation) {
        this.workLocation = workLocation;
    }

    /**
     * job_nature
     * 工作性质
     */
    private java.lang.String jobNature;

    public java.lang.String getJobNature() {
        return this.jobNature;
    }

    public void setJobNature(java.lang.String jobNature) {
        this.jobNature = jobNature;
    }

    /**
     * work_experience
     * 工作经验
     */
    private java.lang.String workExperience;

    public java.lang.String getWorkExperience() {
        return this.workExperience;
    }

    public void setWorkExperience(java.lang.String workExperience) {
        this.workExperience = workExperience;
    }

    /**
     * 简历数量
     */
    private Long resumeCount;

    public Long getResumeCount() {
        return resumeCount;
    }

    public void setResumeCount(Long resumeCount) {
        this.resumeCount = resumeCount;
    }
}
